extends Area2D

#func _physics_process(delta: float) -> void:
	#if get_overlapping_areas().size() == 10:
		#for i in get_overlapping_areas():
			#GLOBAL.points += i.points
			#i.queue_free()#get_parent().get_parent().split()

func getRow():
	return get_overlapping_areas()

func isCompleted():
	var amount = 0
	for i in get_overlapping_areas():
		if i.get_scale() == Vector2(2,2):
			amount += 2
		else:
			amount += 1
	if amount >= 10:
		return true
	else:
		return false
